package main

import (
	"github.com/flamego/flamego"
	"github.com/flamego/template"

	"git.metaunix.net/metaunix/raven/app/db"
	"git.metaunix.net/metaunix/raven/app/web"
)

func main() {
	f := flamego.New()

	// Initialize the database connection
	db.InitDatabase()

	// Initialize template engine
	f.Use(template.Templater(template.Options{
		Directory: "views",
	}))

	f.Use(flamego.Static(
		flamego.StaticOptions{
			Directory: "public",
		},
	))

	web.RegisterRoutes(f)

	f.Run()
}
